Skip to main content
Settings/Settings Operations/Advanced Settings Operations
GETAdvanced Settings OperationsSince 3.4.0SynchronousAuth Required

QueryResourceConfig

QueryResourceConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The resource UUID corresponded by the setting.

    • resourceTypeStringRequired

      The resource type corresponded by the setting.

    • nameStringRequired

      The setting name.

    • descriptionStringRequired

      The detailed description of the setting.

    • categoryStringRequired

      The setting category.

    • valueStringRequired

      The setting value.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/resource-configurations

/zstack/v1/resource-configurations

Operation ID

QueryResourceConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resource-configurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4944c2599c394bd5be5ccc1099dfdb4b", "resourceUuid": "45a511dfef1b474dbef3c1ff88275465", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history